> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/datasets/create-and-edit-datasets/import-files.md).

# Import files

In order to upload file data to a [dataset](/reference/datasets.md), you must upload it as a file on the **Files** tab of the dataset uploader.

{% hint style="info" %}
While it is possible to upload tabular data as a file, it will not be represented as a [table](/reference/datasets/data.md). This means it is not possible to preview variable statistics, cells, or query interfaces, use it in a transform node, or control [access](/reference/data-access/access-levels.md) on different levels.
{% endhint %}

## Uploading files

From the **Files** tab of the [dataset editor](/reference/datasets/versions.md), **Upload files** to import one or many files. You can import files from a variety of data sources, or perform uploads [programmatically.](broken://pages/l2itCyETzk39X1db9ppI)

## Quotas & limits

Limits for upload file size and max files per dataset are [specified here](/reference/quotas-and-limits.md#datasets).

## Folder management

When preparing your upload you will need to choose a destination folder. All files must be in one folder. These folders will have a corresponding [index table](/reference/datasets/data.md#folders-and-index-tables), which will allow researchers to more easily work with the files in bulk. If you are uploading many files, your folder structure will likely be important, For example, you may want different folders for different categories of imaging files.

You can create folders on the grey bar on the right side of the **Files** tab in a dataset. Folder names must be unique. You can select the `⋮` menu next to any folder name to manage that folder.

To move files between folders you can right click on an individual file to change its folder. If you have multiple folders you can select **Move files** to move files between folders.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/reference/datasets/create-and-edit-datasets/import-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
